Bug 173853 - libuser - now supports only crypt() passwords in setpass should support blowfish
libuser - now supports only crypt() passwords in setpass should support blowfish
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libuser (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
https://bugzilla.redhat.com/bugzilla/...
: FutureFeature
Depends On: 173834
Blocks: 173002
  Show dependency treegraph
 
Reported: 2005-11-21 16:19 EST by Eric Moret
Modified: 2008-01-09 11:28 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.56.7-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-09 11:28:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Moret 2005-11-21 16:19:34 EST
Description of problem:

This bug is opened in relation to a feature request for support of blowfish
crypt in shadow/passwd files. libuser should support blowfish in addition to
crypt.

Cf: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=173002
Comment 1 Miloslav Trmač 2005-11-29 17:20:08 EST
lib/user.c will have to create 128 bits of salt (not just 128/6 characters),
not separated from the hash with $.

Can't be tested without glibc support, though.
Comment 2 Miloslav Trmač 2008-01-09 11:28:46 EST
The glibc maintainer decided blowfish support will not be added, see
https://bugzilla.redhat.com/show_bug.cgi?id=173834#c2 .

Rawhide libuser-0.56.7-1 supports SHA256 and SHA512.

Note You need to log in before you can comment on or make changes to this bug.